Bug 825966 - rgmanager regression (f16 -> stable32 head)
rgmanager regression (f16 -> stable32 head)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rgmanager (Show other bugs)
16
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ryan McCabe
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 04:18 EDT by Fabio Massimo Di Nitto
Modified: 2013-02-13 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:48:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2012-05-29 04:18:56 EDT
Description of problem:

testing 3.1.91 release, both Digimer and I have been able to reproduce a regression in rgmanager.

Version-Release number of selected component (if applicable):

Using stock f16+updates:

  <rm central_processing="1">
    <failoverdomains>
      <failoverdomain name="failover_domain1" ordered="0" restricted="0">
        <failoverdomainnode name="fedora16-node1" priority="1"/>
        <failoverdomainnode name="fedora16-node2" priority="1"/>
      </failoverdomain>
    </failoverdomains>
    <resources>
      <ip address="192.168.0.128" monitor_link="1"/>
    </resources>
    <service autostart="1" name="vip1" domain="failover_domain1">
      <ip ref="192.168.0.128"/>
    </service>
  </rm>

this works as expected.

Build/install rgmanager from stable32 branch:

May 29 10:11:40 rgmanager I am node #2
May 29 10:11:40 rgmanager Centralized Event Processing enabled
May 29 10:11:40 rgmanager Resource Group Manager Starting
May 29 10:11:40 rgmanager DBus Notifications Initialized
May 29 10:11:40 rgmanager Loading Service Data
May 29 10:11:40 rgmanager Loading Resource Rules
May 29 10:11:42 rgmanager 27 rules loaded
May 29 10:11:42 rgmanager Building Resource Trees
May 29 10:11:43 rgmanager 2 resources defined
May 29 10:11:43 rgmanager Loading Failover Domains
May 29 10:11:43 rgmanager 1 domains defined
May 29 10:11:43 rgmanager Loading Event Triggers
May 29 10:11:43 rgmanager 1 events defined
May 29 10:11:43 rgmanager Initializing Services
May 29 10:11:43 rgmanager [ip] This script is OCF RA API 1.x compliant only!
May 29 10:11:43 rgmanager stop on ip "192.168.0.128" returned 3 (function not implemented)
May 29 10:11:43 rgmanager Services Initialized
May 29 10:11:43 rgmanager Event: Port Opened
May 29 10:11:43 rgmanager State change: Local UP
May 29 10:11:43 rgmanager State change: fedora16-node1 UP
May 29 10:11:43 rgmanager Event: Port Opened
May 29 10:11:43 rgmanager Master Commit: I am master
May 29 10:11:43 rgmanager sorted_service_list service:vip1
May 29 10:11:43 rgmanager Executing sortedservices node event handler for service: service:vip1
May 29 10:11:43 rgmanager Evaluating service:vip1 state=stopped owner=-1
May 29 10:11:43 rgmanager Starting service:vip1 on [ 2 1 ]
May 29 10:11:43 rgmanager Sent remote-start request to 2
May 29 10:11:43 rgmanager Starting stopped service service:vip1
May 29 10:11:43 rgmanager [ip] This script is OCF RA API 1.x compliant only!
May 29 10:11:43 rgmanager start on ip "192.168.0.128" returned 3 (function not implemented)
May 29 10:11:43 rgmanager #68: Failed to start service:vip1; return value: 1
May 29 10:11:43 rgmanager Stopping service service:vip1
May 29 10:11:43 rgmanager [ip] This script is OCF RA API 1.x compliant only!
May 29 10:11:43 rgmanager stop on ip "192.168.0.128" returned 3 (function not implemented)
May 29 10:11:43 rgmanager #12: RG service:vip1 failed to stop; intervention required
May 29 10:11:43 rgmanager Service service:vip1 is failed
May 29 10:11:43 rgmanager Handling failure request for RG service:vip1
May 29 10:11:43 rgmanager #2: Service service:vip1 returned failure code.  Last Owner: fedora16-node2
May 29 10:11:43 rgmanager #4: Administrator intervention required.
May 29 10:11:43 rgmanager sorted_service_list service:vip1
May 29 10:11:43 rgmanager Executing sortedservices node event handler for service: service:vip1
May 29 10:11:43 rgmanager Evaluating service:vip1 state=failed owner=-1
May 29 10:11:43 rgmanager service:vip1 is not runnable
May 29 10:11:43 rgmanager Executing default service event handler
May 29 10:11:43 rgmanager Executing default service event handler
May 29 10:11:43 rgmanager 4 events processed
Comment 1 Fabio Massimo Di Nitto 2012-05-29 04:24:10 EDT
The regression has been introduced between tag 3.1.90 and 3.1.91 upstream.
Comment 2 Ryan McCabe 2012-05-29 10:32:43 EDT
I've reverted STABLE32 commit 215dd94070707fdb421197bfe625fb9d531ecbec which caused the regression.

Let me know if this doesn't fix things for you.
Comment 3 Fabio Massimo Di Nitto 2012-05-29 10:41:42 EDT
(In reply to comment #2)
> I've reverted STABLE32 commit 215dd94070707fdb421197bfe625fb9d531ecbec which
> caused the regression.
> 
> Let me know if this doesn't fix things for you.

Yes confirmed that reverting the commit fixes the issue.
Comment 4 Fedora End Of Life 2013-01-16 20:30:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 21:48:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.